package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 平台公司权限对象 login_user_dept
 * 
 * @author ruoyi
 * @date 2022-05-11
 */
public class LoginUserDept extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户 */
    @Excel(name = "用户")
    private String loginName;

    /** 显示名称 */
    @Excel(name = "显示名称")
    private String displayName;

    /** 平台公司 */
    @Excel(name = "平台公司")
    private String dept;

    public void setLoginName(String loginName) 
    {
        this.loginName = loginName;
    }

    public String getLoginName() 
    {
        return loginName;
    }
    public void setDisplayName(String displayName) 
    {
        this.displayName = displayName;
    }

    public String getDisplayName() 
    {
        return displayName;
    }
    public void setDept(String dept) 
    {
        this.dept = dept;
    }

    public String getDept() 
    {
        return dept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("loginName", getLoginName())
            .append("displayName", getDisplayName())
            .append("dept", getDept())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
